Package org.globus.myproxy

# Interface MyProxyConstants

All Known Implementing Classes:
  `ChangePasswordParams`, `DestroyParams`, `GetParams`, `GetTrustrootsParams`, `InfoParams`, `InitParams`, `Params`, `StoreParams`

public interface MyProxyConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMMAND`
`static final String`
`CRED_DESC`
`static final String`
`CRED_NAME`
`static final String`
`CRED_RETRIEVER_TRUSTED`
`static final String`
`CRLF`
`static final int`
`DEFAULT_LIFETIME`
By default, put credentials with a policy restricting delegated credential lifetime to 12 hours or less, and get 12 hour credentials from the server.
`static final String`
`LIFETIME`
`static final int`
`MIN_PASSWORD_LENGTH`
MyProxy passwords must be 6 characters or longer.
`static final String`
`MYPROXY_PROTOCOL_VERSION`
The version string (MYPROXYv2) to send at the start of communication with the MyProxy server.
`static final String`
`NEW_PHRASE`
`static final String`
`PASSPHRASE`
`static final String`
`RENEWER`
`static final String`
`RETRIEVER`
`static final String`
`TRUSTROOTS`
`static final String`
`USERNAME`
`static final String`
`VERSION`
`static final String`
`VOMSES`
`static final String`
`VONAME`

## Field Details

### MYPROXY_PROTOCOL_VERSION

static final String MYPROXY_PROTOCOL_VERSION
The version string (MYPROXYv2) to send at the start of communication with the MyProxy server.

See Also:
  - Constant Field Values

### MIN_PASSWORD_LENGTH

static final int MIN_PASSWORD_LENGTH
MyProxy passwords must be 6 characters or longer.

See Also:
  - Constant Field Values

### DEFAULT_LIFETIME

static final int DEFAULT_LIFETIME
By default, put credentials with a policy restricting delegated credential lifetime to 12 hours or less, and get 12 hour credentials from the server.

See Also:
  - Constant Field Values

### VERSION

static final String VERSION

See Also:
  - Constant Field Values

### COMMAND

static final String COMMAND

See Also:
  - Constant Field Values

### USERNAME

static final String USERNAME

See Also:
  - Constant Field Values

### PASSPHRASE

static final String PASSPHRASE

See Also:
  - Constant Field Values

### LIFETIME

static final String LIFETIME

See Also:
  - Constant Field Values

### CRED_NAME

static final String CRED_NAME

See Also:
  - Constant Field Values

### TRUSTROOTS

static final String TRUSTROOTS

See Also:
  - Constant Field Values

### RETRIEVER

static final String RETRIEVER

See Also:
  - Constant Field Values

### CRED_RETRIEVER_TRUSTED

static final String CRED_RETRIEVER_TRUSTED

See Also:
  - Constant Field Values

### RENEWER

static final String RENEWER

See Also:
  - Constant Field Values

### CRED_DESC

static final String CRED_DESC

See Also:
  - Constant Field Values

### NEW_PHRASE

static final String NEW_PHRASE

See Also:
  - Constant Field Values

### CRLF

static final String CRLF

See Also:
  - Constant Field Values

### VONAME

static final String VONAME

See Also:
  - Constant Field Values

### VOMSES

static final String VOMSES

See Also:
  - Constant Field Values